summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Richard Ellis <rellis@dp100.com>2011-03-05 13:07:32 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-05 13:07:32 -0300
commite37fb2930ebb46e8c8f32ed5f981f422990b3766 (patch)
treedd4ad36d987b3f43a36719bd3f9d55c067be8347
parent963516d17950d1d02067e10390756825c166e33c (diff)
downloadslackbuilds-e37fb2930ebb46e8c8f32ed5f981f422990b3766.tar.gz
slackbuilds-e37fb2930ebb46e8c8f32ed5f981f422990b3766.tar.xz
libraries/tDOM: Added (XML parsing and generation for TCL)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/tDOM/README6
-rw-r--r--libraries/tDOM/slack-desc19
-rw-r--r--libraries/tDOM/tDOM.SlackBuild86
-rw-r--r--libraries/tDOM/tDOM.info10
4 files changed, 121 insertions, 0 deletions
diff --git a/libraries/tDOM/README b/libraries/tDOM/README
new file mode 100644
index 0000000000..c27d137aa9
--- /dev/null
+++ b/libraries/tDOM/README
@@ -0,0 +1,6 @@
+tDOM combines high performance XML data processing with easy and powerful
+Tcl scripting functionality. tDOM should be one of the fastest ways to
+manipulate XML with a scripting language and uses very little memory in the
+process (for example the DOM tree of the XML recommendation in XML (160K)
+needs only about 450K in memory)! The tDOM project was started by Jochen
+L÷wer. It is currently maintained by Rolf Ade.
diff --git a/libraries/tDOM/slack-desc b/libraries/tDOM/slack-desc
new file mode 100644
index 0000000000..df675780c6
--- /dev/null
+++ b/libraries/tDOM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tDOM: tDOM (XML parsing and generation for TCL)
+tDOM:
+tDOM: tDOM combines high performance XML data processing with easy and
+tDOM: powerful Tcl scripting functionality. tDOM should be one of the
+tDOM: fastest ways to manipulate XML with a scripting language and uses
+tDOM: very little memory in the process (for example the DOM tree of the
+tDOM: XML recommendation in XML (160K) needs only about 450K in memory)!
+tDOM: The tDOM project was started by Jochen L÷wer. It is currently
+tDOM: maintained by Rolf Ade.
+tDOM:
+tDOM:
diff --git a/libraries/tDOM/tDOM.SlackBuild b/libraries/tDOM/tDOM.SlackBuild
new file mode 100644
index 0000000000..f05f66107d
--- /dev/null
+++ b/libraries/tDOM/tDOM.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for tDOM
+
+# Written by Richard Ellis <rellis@dp100.com>
+
+# Released to the public domain, January 2011
+
+PRGNAM=tDOM
+VERSION=${VERSION:-0.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE NPL-1_1Final.html README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tDOM/tDOM.info b/libraries/tDOM/tDOM.info
new file mode 100644
index 0000000000..3035679595
--- /dev/null
+++ b/libraries/tDOM/tDOM.info
@@ -0,0 +1,10 @@
+PRGNAM="tDOM"
+VERSION="0.8.3"
+HOMEPAGE="http://tdom.github.com/"
+DOWNLOAD="https://github.com/downloads/tDOM/tdom/tDOM-0.8.3.tgz"
+MD5SUM="f773bef5b8f15e0b400f9f93f164a6bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Richard Ellis"
+EMAIL="rellis@dp100.com"
+APPROVED="Niels Horn"